LightWayTxtTextInternal Namespace Reference

Internal: the structures of a LightWayTxtText. More...

## Classes

struct | PLC
| Internal : the different plc types: mainly for debugging. More...
struct | Font
| Internal: struct used to store the font of a LightWayTxtText. More...
struct | Paragraph
| Internal: class to store the paragraph properties. More...
struct | HFZone
| Internal: the header/footer zone of a LightWayTxtText. More...
struct | State
| Internal: the state of a LightWayTxtText. More...

## Enumerations

enum | PLCType { P_Font , P_Font2 , P_Ruler , P_Ruby , P_StyleU , P_StyleV , P_Unknown }
| the different plc type More...

## Functions

std::ostream & | operator<< (std::ostream &o, PLC const &plc)
std::ostream & | operator<< (std::ostream &o, Font const &font)
std::ostream & | operator<< (std::ostream &o, HFZone const &hf)

## Detailed Description

Internal: the structures of a LightWayTxtText.

## Enumeration Type Documentation

## PLCType

enum LightWayTxtTextInternal::PLCType

the different plc type

Enumerator
P_Font |
P_Font2 |
P_Ruler |
P_Ruby |
P_StyleU |
P_StyleV |
P_Unknown |

## Function Documentation

## operator<<() [1/3]

std::ostream & LightWayTxtTextInternal::operator<< | ( | std::ostream & | o,
|  | Font const & | font )

## operator<<() [2/3]

std::ostream & LightWayTxtTextInternal::operator<< | ( | std::ostream & | o,
|  | HFZone const & | hf )

## operator<<() [3/3]

std::ostream & LightWayTxtTextInternal::operator<< | ( | std::ostream & | o,
|  | PLC const & | plc )